

*{
    text-decoration: none;
    list-style: none;
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
    font-family: Arial, Helvetica, sans-serif;
}

.navbar{
    padding: 10px 3rem 10px 3rem;
}

#logo{
    font-weight: bolder;
    font-size: 33px;
    color: #000;
}

#logo span{
    color: #0d6efd;
}

.navbar ul{
    display: flex;
    gap: 1.5rem;
}

.navbar ul li a{
    font-size: 20px;
    font-weight: 600;
}


#hero{
    background:url(https://wallpapercave.com/wp/wp2848527.jpg); 
    background-repeat:no-repeat; 
    background-position: center; 
    background-size: cover; 
    width: 100%;
    height: 600px;
    opacity: 0.9;
    align-content: center;
    padding: 4rem;
    border-image: fill 0 linear-gradient(#0001, #000);
}

#hero span{
    color: #0d6efd;
}

#hero h3{
    font-size: 18px;
}

#services{
    width: 100%;
    height: 40vh;
    padding: 20px;
}

#services .itembox{
    padding: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 30px;
}

#services .item{
    border: none;
    border-radius: 15px;
    padding: 12px;
    width: 30%;
    box-shadow: 0px 5px 8px 0 rgba(0,0,0,0.4)
}

#about{
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 10px;
    gap: 10rem;
    width: 100%;
}

#about img{
    object-fit: contain;
}

#about .abouttext{
    padding: 10px;
}

#contact{
    width: 40rem; 
    padding: 0 3rem;
    margin-top: 4rem;
}

footer{
    height: 100px; 
    padding: 15px 10px; 
    margin-top: 10rem;
}


@media (max-width: 380px) {
    .navbar {
        padding: 10px 1rem;
    }

    #logo {
        font-size: 36px;
    }

    .navbar ul li a {
        font-size: 16px;
    }

    #hero {
        height: 400px;
        padding: 2rem;
        text-align: center;
    }

    #hero h1 {
        font-size: 22px;
        font-weight: bold;
    }

    #hero h3 {
        font-size: 8px;
        letter-spacing: 1px;
    }

    #hero .learnbtn{
        width: 90px;
        font-size: 10px;
        letter-spacing: 1px;
    }

    #services {
        height: auto; 
        padding: 1rem 0;
    }

    #services h2{
        font-weight: bolder;
        font-size: 2rem;
    }

    #services .itembox {
        display: flex;
        flex-direction: column;
        gap: 2rem;
        padding: 0 3.4rem;
        align-items: center;
    }

    #services .item{
        width: auto;
    }

    #services .item h3{
        font-size: 1.5rem;
        font-weight: bold;
    }

    #services .item p{
        font-size: 10px;
        font-weight: bold;
    }

    #about {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        gap: 3rem;
    }

    #about img {
        width: 100%;
        height: auto;
    }

    #contact {
        width: 90%;
        padding: 0 1rem;
    }
}


@media (min-width:380px) and (max-width: 767px) {
    .navbar {
        padding: 10px 1rem;
    }

    #logo {
        font-size: 36px;
    }

    .navbar ul li a {
        font-size: 16px;
    }

    #hero {
        height: 400px;
        padding: 2rem;
        text-align: center;
    }

    #hero h1 {
        font-size: 30px;
        font-weight: bold;
    }

    #hero h3 {
        font-size: 10px;
        letter-spacing: 1px;
    }

    #hero .learnbtn{
        width: 90px;
        font-size: 10px;
        letter-spacing: 1px;
    }

    #services {
        height: auto; 
        padding: 1rem 0;
    }

    #services h2{
        font-weight: bolder;
        font-size: 2rem;
    }

    #services .itembox {
        display: flex;
        flex-direction: column;
        gap: 2rem;
        padding: 0 3.4rem;
        align-items: center;
    }

    #services .item{
        width: auto;
    }

    #services .item h3{
        font-size: 1.5rem;
        font-weight: bold;
    }

    #services .item p{
        font-size: 10px;
        font-weight: bold;
    }

    #about {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        gap: 3rem;
    }

    #about img {
        width: 100%;
        height: auto;
    }

    #contact {
        width: 90%;
        padding: 0 1rem;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    .navbar {
        padding: 10px 2rem;
    }

    #logo {
        font-size: 42px;
    }

    .navbar ul li a {
        font-size: 18px;
    }

    #hero {
        height: 500px;
        padding: 3rem;
        text-align: center;
    }

    #hero h1 {
        letter-spacing: 1px;
        font-size: 3rem;
    }

    #hero h3 {
        letter-spacing: 1px;
        font-size: 20px;
    }

    #services {
        height: auto; 
        padding: 2rem 0;
    }

    #services .itembox {
        display: flex;
        flex-direction: row;
        padding: 0 3.4rem;
        gap: 20px;
        justify-content: space-around;
        margin-bottom: 4rem; 
    }

    #services .item{
        width: auto;
    }

    #about {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        gap: 3rem;
    }

    #about img {
        width: 100%;
        height: auto;
    }

    #contact {
        width: 70%;
        padding: 0 2rem;
    }
}

@media (min-width: 992px) {
    .navbar {
        padding: 10px 3rem;
    }

    #hero {
        height: 600px;
        padding: 4rem;
    }

    #services {
        height: auto; 
        padding: 2rem 0; 
    }

    #services .itembox {
        display: flex;
        flex-direction: row;
        padding: 0 3.4rem;
        justify-content: space-between;
        margin-bottom: 2rem;
    }

    
    #about img {
        width: auto;
        height: auto;
    }

    #contact {
        width: 50%;
        padding: 0 3rem;
    }
}